from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Int, Boolean

Idrtcalibration_V0_1_0 = CommandToolBuilder(tool="IDRTCalibration", base_command=["IDRTCalibration"], inputs=[ToolInput(tag="in_in", input_type=File(optional=True), prefix="-in", doc=InputDocumentation(doc="*                  Input file  (valid formats: 'idXML')")), ToolInput(tag="in_out", input_type=File(optional=True), prefix="-out", doc=InputDocumentation(doc="*                 Output file  (valid formats: 'idXML')")), ToolInput(tag="in_calibra_nt_one_reference", input_type=Int(optional=True), prefix="-calibrant_1_reference", doc=InputDocumentation(doc="The RT of the first calibrant in the reference file. (default: '0.1')")), ToolInput(tag="in_calibra_nt_two_reference", input_type=Int(optional=True), prefix="-calibrant_2_reference", doc=InputDocumentation(doc="The RT of the second calibrant in the reference file. (default: '0.9')")), ToolInput(tag="in_calibra_nt_one_input", input_type=Int(optional=True), prefix="-calibrant_1_input", doc=InputDocumentation(doc="The RT of the first calibrant in the input file. Please note that this value needs to be set. The default value -1.0 is not allowed. (default: '-1')")), ToolInput(tag="in_calibra_nt_two_input", input_type=Int(optional=True), prefix="-calibrant_2_input", doc=InputDocumentation(doc="The RT of the second calibrant in the input file. Please note that this value needs to be set. The default value -1.0 is not allowed. (default: '-1')")), ToolInput(tag="in_ini", input_type=File(optional=True), prefix="-ini", doc=InputDocumentation(doc="Use the given TOPP INI file")), ToolInput(tag="in_threads", input_type=Int(optional=True), prefix="-threads", doc=InputDocumentation(doc="Sets the number of threads allowed to be used by the TOPP tool (default: '1')")), ToolInput(tag="in_write_ini", input_type=File(optional=True), prefix="-write_ini", doc=InputDocumentation(doc="Writes the default configuration file")), ToolInput(tag="in_helphelp", input_type=Boolean(optional=True), prefix="--helphelp", doc=InputDocumentation(doc="Shows all options (including advanced)"))], outputs=[ToolOutput(tag="out_out", output_type=File(optional=True), selector=InputSelector(input_to_select="in_out", type_hint=File()), doc=OutputDocumentation(doc="*                 Output file  (valid formats: 'idXML')"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Idrtcalibration_V0_1_0().translate("wdl", allow_empty_container=True)

